
@import url(https://fonts.googleapis.com/css?family=Raleway:400,200);
* {
  margin: 0;
  padding: 0;
}
#menu,
#menu ul,
#menu ul li,
#menu ul li a {
  margin: 0;
  padding: 0;
  border: 0;
  list-style: none;
  line-height: 1;
  display: block;
  position: relative;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
#menu {
  position: absolute;
  top: 50px;
  right: 0;
  width: 220px;
  font-family: Raleway, sans-serif;
  color: #ffffff;
  display: none;
}
#top_bar {
  position: fixed;
  top: 0;
  width: 100%;
  height: 50px;
  background-color: transparent;
  background-color: rgba(255, 255, 255, 0.2);
  /*border-bottom: 2px solid white;*/
  transition: all 0.3s 
         ease-out;
}
#top_bar > p {
  position: absolute;
  top: 0;
  left: 0;
  font-family: Raleway, sans-serif;
  font-size: 30px;
  color: white;
  padding: 10px;
}
#top_bar > p:hover {
    cursor: default;
}
#top_bar > #spirit {
  width: 30px;
  height: 30px;
  position: absolute;
  top: 10px;
  right: 0;
  margin-right: 10px;
  border-radius: 50%;
  background-color: white;
}
#menu ul ul {
  display: none;
}
#menu > ul > li.active > ul {
  display: block;
}
.align-right {
  float: right;
}
#menu > ul > li > a {
  padding: 16px 22px;
  cursor: pointer;
  z-index: 2;
  font-size: 16px;
  text-decoration: none;
  color: #ffffff;
  background-color: rgba(255, 255, 255, 0.2);
  -webkit-transition: color .2s ease;
  -o-transition: color .2s ease;
  transition: color .2s ease;
}
#menu > ul > li > a:hover {
  color: #000;
  transition: all 0.25s 
ease-in;
}
#menu ul > li.has-sub > a:after {
  position: absolute;
  right: 26px;
  top: 19px;
  z-index: 5;
  display: block;
  height: 10px;
  width: 2px;
  background: #ffffff;
  content: "";
  -webkit-transition: all 0.1s ease-out;
  -moz-transition: all 0.1s ease-out;
  -ms-transition: all 0.1s ease-out;
  -o-transition: all 0.1s ease-out;
  transition: all 0.1s ease-out;
}
#menu ul > li.has-sub > a:before {
  position: absolute;
  right: 22px;
  top: 23px;
  display: block;
  width: 10px;
  height: 2px;
  background: #ffffff;
  content: "";
  -webkit-transition: all 0.1s ease-out;
  -moz-transition: all 0.1s ease-out;
  -ms-transition: all 0.1s ease-out;
  -o-transition: all 0.1s ease-out;
  transition: all 0.1s ease-out;
}
#menu ul > li.has-sub.open > a:after,
#menu ul > li.has-sub.open > a:before {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}
#menu ul ul li a {
  padding: 14px 22px;
  cursor: pointer;
  z-index: 2;
  font-size: 14px;
  text-decoration: none;
  color: #dddddd;
  background-color: rgba(255, 255, 255, 0.4);
  -webkit-transition: color .2s ease;
  -o-transition: color .2s ease;
  transition: color .2s ease;
}
#menu ul ul ul li a {
  padding-left: 32px;
}
#menu ul ul li a:hover {
  color: #000;
  transition: all 0.25s 
ease-in;
}
#menu ul ul > li.has-sub > a:after {
  top: 16px;
  right: 26px;
  background: #dddddd;
}
#menu ul ul > li.has-sub > a:before {
  top: 20px;
  background: #dddddd;
}
#menu ul > li.has-sub:hover > a:hover:before,
#menu ul > li.has-sub:hover > a:hover:after {
  background: black;
  tranisiton: all 0.25s
  ease-in;
}
